OS X Lion, FileMerge will not launch [Problems]

103 views
Skip to first unread message

Dan Parent

unread,
Jul 22, 2011, 12:33:11 PM7/22/11
to machg_m...@googlegroups.com
Hello everyone,

After moving to Lion from Snow Leopard I noticed that I could not launch filemerge for my diffs in MacHG. After emailing back and forth with Jason (not sure if that is the main developer, I'm guessing it is) I found out the problem and I have a fix that is working on my machine. Here is what happened to me and how I fixed it:

> 1. Bought a new Macbook Pro with Snow Leopard
> 2. Installed all updates
> 3. Installed MacHG
> 4. Bought xcode from the app store and installed
> 5. Updated to Lion
> 6. /usr/bin/opendiff is gone
> 7. cd /usr/bin && sudo ln -s /Developer/usr/bin/opendiff
> 8. things are working again!
>
> I've checked the app store to see if there were any updates to xcode but there aren't. Trying to reinstall it from the Applications folder tells me that I am not using OSX 10.6 and to upgrade to the right version for 10.7...

Hope this is helpful for someone else.

Thanks,
Dan

Jason Harris

unread,
Jul 22, 2011, 12:56:55 PM7/22/11
to machg_m...@googlegroups.com

On Jul 23, 2011, at 4:33 AM, Dan Parent wrote:

> Hello everyone,
>
> After moving to Lion from Snow Leopard I noticed that I could not launch filemerge for my diffs in MacHG. After emailing back and forth with Jason (not sure if that is the main developer, I'm guessing it is)

Yep... Thats me!

> I found out the problem and I have a fix that is working on my machine. Here is what happened to me and how I fixed it:
>
>> 1. Bought a new Macbook Pro with Snow Leopard
>> 2. Installed all updates
>> 3. Installed MacHG
>> 4. Bought xcode from the app store and installed
>> 5. Updated to Lion
>> 6. /usr/bin/opendiff is gone
>> 7. cd /usr/bin && sudo ln -s /Developer/usr/bin/opendiff
>> 8. things are working again!
>>
>> I've checked the app store to see if there were any updates to xcode but there aren't. Trying to reinstall it from the Applications folder tells me that I am not using OSX 10.6 and to upgrade to the right version for 10.7...
>
> Hope this is helpful for someone else.

Thanks, Dan!

I hope to handle this better in the forthcoming update for MacHg for Lion issues.

Thanks,
Jas

Reply all
Reply to author
Forward
0 new messages